Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.monitor.management
Interface MonitorRuntimeMBean

public interface MonitorRuntimeMBean
extends WebLogicMBean

Interface to use for monitoring latency between different points or throughput at a point in an event processing network. The object name of the MonitorRuntimeMBean is as follows:

      ServerRuntime=<server name>,Name=MonitorRuntime,Type=MonitorRuntime

All the monitoring methods take ObjectName representing the end point that is to be monitored. The ObjectName must have the correct domain name and the application name and stage name must be specified.

- Use `com.bea.wlevs.management.ManagementConstants.DOMAIN_NAME` for domain name
- Use `com.bea.wlevs.management.configuration.ApplicationMBean.MBEAN_TYPE` for application name property
- Use `com.bea.wlevs.management.ManagementConstants.NAME_PROPERTY` for stage name
- Use `com.bea.wlevs.management.ManagementConstants.DIRECTION_PROPERTY` to specify whether it is `INBOUND` or `OUTBOUND`. If this property is not specified, default values will be used as described in the methods' documentation.

  Field Summary
  `static int` | `DEFAULT_INTERVAL` Default interval in milliseconds when not specified in monitor operations.
  `static int` | `DEFAULT_THROUGHPUT` Default throughput interval in milliseconds when not specified in monitor operations.
  `static java.lang.String` | `MBEAN_TYPE` This MBean is registered using the following MBEAN_TYPE.

  Method Summary
  `javax.management.ObjectName` | `monitorAvgLatency(javax.management.ObjectName startLocation, javax.management.ObjectName endLocation)` Sets up to compute the average latency for events to pass between the specified start and end points.
  `javax.management.ObjectName` | `monitorAvgLatency(javax.management.ObjectName startLocation, javax.management.ObjectName endLocation, long interval)` Sets up to compute the average latency for events to pass between the specified start and end points.
  `javax.management.ObjectName` | `monitorAvgLatencyThreshold(javax.management.ObjectName startLocation, javax.management.ObjectName endLocation, long threshold)` Sets up to calculate the average latency values greater than the specified threshold value for specified start and end points.
  `javax.management.ObjectName` | `monitorAvgLatencyThreshold(javax.management.ObjectName startPoint, javax.management.ObjectName endPoint, long interval, long threshold)` Sets up to calculate the average latency values greater than the specified threshold value for specified start and end points.
  `javax.management.ObjectName` | `monitorAvgThroughput(javax.management.ObjectName location)` Sets up to compute the average throughput of events at a given location.
  `javax.management.ObjectName` | `monitorAvgThroughput(javax.management.ObjectName location, long throughputInterval, long averageInterval)` Sets up to compute the average throughput of events at a given location.
  `javax.management.ObjectName` | `monitorMaxLatency(javax.management.ObjectName startLocation, javax.management.ObjectName endLocation)` Sets up to compute the maximum latency for events to pass between the specified start and end points.
  `javax.management.ObjectName` | `monitorMaxLatency(javax.management.ObjectName startLocation, javax.management.ObjectName endLocation, long interval)` Sets up to compute the maximum latency for events to pass between the specified start and end points.

  Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
  `getName, getObjectName, getType`

  Field Detail

  ### DEFAULT_INTERVAL

      public static final int DEFAULT_INTERVAL

    Default interval in milliseconds when not specified in monitor operations.

  ### DEFAULT_THROUGHPUT

      public static final int DEFAULT_THROUGHPUT

    Default throughput interval in milliseconds when not specified in monitor operations.

  ### MBEAN_TYPE

      public static final java.lang.String MBEAN_TYPE

    This MBean is registered using the following MBEAN_TYPE.

  Method Detail

  ### monitorAvgLatency

      public javax.management.ObjectName monitorAvgLatency(javax.management.ObjectName startLocation,
                                                           javax.management.ObjectName endLocation)
                                                    throws javax.management.JMException

    Sets up to compute the average latency for events to pass between the specified start and end points. This is the same as `monitorAvgLatency(ObjectName, ObjectName, long, String)` for `DEFAULT_INTERVAL`.

    Parameters:
      `startPoint` - ObjectName representing the start point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
      `endPoint` - ObjectName representing the end point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to exit point.
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  ### monitorAvgLatency

      public javax.management.ObjectName monitorAvgLatency(javax.management.ObjectName startLocation,
                                                           javax.management.ObjectName endLocation,
                                                           long interval)
                                                    throws javax.management.JMException

    Sets up to compute the average latency for events to pass between the specified start and end points.

    Latency is defined as the time it takes for an event to flow from the start point to the end point. The average latency is calculated by calculating the average for all latency values in the specified time interval. This creates a `ProbeRuntimeMBean` through which the latency values can be obtained.

    Parameters:
      `startPoint` - ObjectName representing the start point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
      `endPoint` - ObjectName representing the end point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to exit point.
      `interval` - the time interval, in milliseconds, for average latency calculation. The avarage value is calculated by taking the average of the all the values within the time interval.
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  ### monitorAvgLatencyThreshold

      public javax.management.ObjectName monitorAvgLatencyThreshold(javax.management.ObjectName startLocation,
                                                                    javax.management.ObjectName endLocation,
                                                                    long threshold)
                                                             throws javax.management.JMException

    Sets up to calculate the average latency values greater than the specified threshold value for specified start and end points.

    This is the same as `monitorAvgLatencyThreshold(ObjectName, ObjectName, interval, threshold, unit)` for `DEFAULT_INTERVAL`.

    Parameters:
      `startPoint` - ObjectName representing the start point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
      `endPoint` - ObjectName representing the end point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to exit point.
      `threshold` - latency values greater than this threshold value, in microseconds, will be reported.
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  ### monitorAvgLatencyThreshold

      public javax.management.ObjectName monitorAvgLatencyThreshold(javax.management.ObjectName startPoint,
                                                                    javax.management.ObjectName endPoint,
                                                                    long interval,
                                                                    long threshold)
                                                             throws javax.management.JMException

    Sets up to calculate the average latency values greater than the specified threshold value for specified start and end points. This creates a `ProbeRuntimeMBean` through which the latency values can be obtained.

    Parameters:
      `startPoint` - ObjectName representing the start point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
      `endPoint` - ObjectName representing the end point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to exit point.
      `interval` - the time interval, in milliseconds, for average latency calculation. The avarage value is calculated by taking the average of the all the values within the time interval.
      `threshold` - latency values greater than this threshold value, in microseconds, will be reported.
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  ### monitorMaxLatency

      public javax.management.ObjectName monitorMaxLatency(javax.management.ObjectName startLocation,
                                                           javax.management.ObjectName endLocation)
                                                    throws javax.management.JMException

    Sets up to compute the maximum latency for events to pass between the specified start and end points. This is the same as `monitorMaxLatency(ObjectName, ObjectName, interval)` for `DEFAULT_INTERVAL`.

    Parameters:
      `startPoint` - ObjectName representing the start point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
      `endPoint` - ObjectName representing the end point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to exit point.
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  ### monitorMaxLatency

      public javax.management.ObjectName monitorMaxLatency(javax.management.ObjectName startLocation,
                                                           javax.management.ObjectName endLocation,
                                                           long interval)
                                                    throws javax.management.JMException

    Sets up to compute the maximum latency for events to pass between the specified start and end points.

    Latency is defined as the time it takes for an event to flow from the start point to the end point. The maximum across the latency values in the specified time interval will be calculated.

    Parameters:
      `startPoint` - ObjectName representing the start point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
      `endPoint` - ObjectName representing the end point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to exit point.
      `interval` - the time interval, in milliseconds, for maximum latency calculation. The maximum value is the highest value among all the values within the time interval.
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  ### monitorAvgThroughput

      public javax.management.ObjectName monitorAvgThroughput(javax.management.ObjectName location)
                                                       throws javax.management.JMException

    Sets up to compute the average throughput of events at a given location. This is the same as `monitorAvgThroughput(ObjectName, long, long)` with throughput interval `DEFAULT_THROUGHPUT` and average interval `DEFAULT_INTERVAL`.

    Parameters:
      `location` - ObjectName representing the point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  ### monitorAvgThroughput

      public javax.management.ObjectName monitorAvgThroughput(javax.management.ObjectName location,
                                                              long throughputInterval,
                                                              long averageInterval)
                                                       throws javax.management.JMException

    Sets up to compute the average throughput of events at a given location.

    Total throughput for the location is calculated by counting the number of events passing through the location during `throughputInterval`. Average throughput is the average of these values across `averageInterval`.

    Parameters:
      `location` - ObjectName representing the point that is to be monitored. This includes the application name and stage name. It may also specify whether it is the entry or exit point at the stage. If it is not specified, it defaults to entry point.
      `throughputInterval` - the time interval, in milliseconds, for which the throughput is calculated
      `averageInterval` - the time interval, in milliseconds, for which the average throughput is calculated
    Returns:
      ObjectName of `ProbeRuntimeMBean` instance through which latency values can be obtained
    Throws:
      javax.management.JMException - if any error occurs trying to set up monitoring for the end points

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2007 BEA Systems All Rights Reserved.